Abort Transaction
POST
/v2/Payment/AbortTransactionAbortTransaction cancels an active transaction on the terminal. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
ReferenceId
stringTpn
stringRegisterId
stringAuthkey
stringCustomFields
CustomFields
objectPOST/v2/Payment/AbortTransaction
1curl --location 'https://test.spinpos.net/v2/Payment/AbortTransaction' \
2--header 'Content-Type: application/json' \
3--data '{
4 "CustomFields": {},
5 "ReferenceId": "",
6 "Tpn": "",
7 "RegisterId": "",
8 "Authkey": ""
9}'
Response
// Awaiting response…
Sample response
{
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
}
}